Method: testers.list

  • Use a GET request to https://businesscommunications.googleapis.com/v1/testers with the agent ID as a query parameter to list the invite statuses of tester devices.

  • The request body should be empty.

  • The response body contains a list of tester objects with their invite statuses.

  • The request requires the https://www.googleapis.com/auth/businesscommunications OAuth scope for authorization.

List the invite statuses of tester devices.

HTTP request

GET https://businesscommunications.googleapis.com/v1/testers

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
agentId

string

Agent ID.

Request body

The request body must be empty.

Response body

Response for testers.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "testers": [
    {
      object (Tester)
    }
  ]
}
Fields
testers[]

object (Tester)

List of testers.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/businesscommunications

For more information, see the OAuth 2.0 Overview.